#pragma once
#include "sys_quadstore.h"

enum undo_type { utQuad, utTile, utBoth, utAdd, utRemove, ut_end };

void yrUndo_undo(void);
void yrUndo_redo(void);

void yrUndo_append(enum undo_type t, yrQuad* oldquad, yrQuad* newquad, uint32_t* oldtile, uint32_t* newtile);